---
title: List project favorites
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

# List project favorites{% #list-project-favorites %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cases/projects/favorites |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cases/projects/favorites |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cases/projects/favorites      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cases/projects/favorites      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cases/projects/favorites  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cases/projects/favorites     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cases/projects/favorites |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cases/projects/favorites |

### Overview

Returns the list of case projects that the current authenticated user has marked as favorites.

OAuth apps require the `cases_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing the list of projects the current user has favorited.

| Parent field | Field                  | Type     | Description                                                                           |
| ------------ | ---------------------- | -------- | ------------------------------------------------------------------------------------- |
|              | data [*required*] | [object] | List of project favorites.                                                            |
| data         | id [*required*]   | string   | The UUID of the favorited project.                                                    |
| data         | type [*required*] | enum     | JSON:API resource type for project favorites. Allowed enum values: `project_favorite` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "id": "e555e290-ed65-49bd-ae18-8acbfcf18db7",
      "type": "project_favorite"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cases/projects/favorites" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
